import java.io.PrintWriter
import scala.virtualization.lms.common.LiftNumeric

object Example3Generator extends Example3ScalaGen { val IR = Example3Runner }

object Example3Runner extends Example3 with Example3OpsExp {
  def main(args: Array[String]) {
    Example3Generator.emitSource((x: Rep[Unit]) => run(), "Application", new PrintWriter(System.out))
  }
}

trait Example3 extends Example3Ops with LiftNumeric {
  def run() = {
    val x0 = Matrix[Int](10,10)
    val b = x0*x0*x0*x0*1
    println(b)
  }
}